funindex(1)

NAME
funindex - create an index for a column of a FITS binary table

SYNOPSIS
funindex <switches> <iname> [oname]

OPTIONS
  NB: these options are not compatible with Funtools processing. Please
  use the defaults instead.
  -c        # compress output using gzip"
  -a        # ASCII output, ignore -c (default: FITS table)"
  -f        # FITS table output (default: FITS table)"
  -l        # long output, i.e. with key value(s) (default: long)"
  -s        # short output, i.e. no key value(s) (default: long)"

DESCRIPTION
The funindex script creates an index for the specified column (key) by running funtable -s (sort) and then saving the column value and the record number for each sorted row. This index will be used automatically
 by funtools filtering of that column, provided the index file's modification date is later than that of the data file.

The first required argument is the name of the FITS binary table to index. Please note that text files cannot be indexed at this time. The second required argument is the column (key) name to index. While multiple keys can be specified in principle, the funtools index processing assume a single key and will not recognize files containing multiple keys.

By default, the output index file name is [root]_[key].idx, where [root] is the root of the input file. Funtools looks for this specific file name when deciding whether to use an index for faster filtering. Therefore, the optional third argument (output file name) should not be used for funtools processing.

For example, to create an index on column Y for a given FITS file, use:

  funindex foo.fits Y

This will generate an index named foo_y.idx, which will be used by funtools for filters involving the Y column.

SEE ALSO
See funtools(n) for a list of Funtools help pages